main {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

@media (max-width: 767px) {
  main {
    grid-template-columns: repeat(2, 1fr);
  }
  .card {
    width: 35rem!important;
    margin: 20px 0px !important;
  }
}

/* For smaller screens (1 column) */
@media (max-width: 480px) {
  main {
    grid-template-columns: 1fr;
  }
}

.card img {
  opacity: 0.7;
  transition: opacity 0.3s ease-in;
}

.card::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.19);
  transition: opacity 0.3s ease-in;
}

.card-tour::after {
	content: "";
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.19);
	transition: opacity 0.3s ease-in;
}

.card:hover::after {
  opacity: 1;
}

.card {
  width: 42rem;
  height: 25rem;
  border-radius: 7px;
  overflow: hidden;
  cursor: pointer;
  display: block;
  transition: opacity 0.3s ease-in-out;
  color: #f0f0f0;
  margin: 30px;
}

.card img {
  position: absolute;
  object-fit: cover;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 1;
  transition: opacity 0.2s ease-out;
}

.card h2 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin: 0;
  transition: inset 0.3s 0.3s ease-out;
  font-family: "Dancing script";
  font-weight: normal;
  z-index: 99;
  white-space: nowrap;
  font-size: 4rem;
}

.card p, .card a {
  position: absolute;
  opacity: 0;
  max-width: 80%;
  transition: opacity 0.3s ease-out;
}

.card p {
  color: #ffffff;
  line-height: 20px;
  inset: auto auto 3% 9%;
  z-index: 99;

}

.card a {
  inset: auto auto 40px 30px;
  color: inherit;
  text-decoration: none;
}

/* .card:hover h2 {
  top: 20%;
}

.card:hover p, .card:hover a {
  opacity: 1;
  transition: opacity 0.5s 0.1s ease-in;
} */

.card:hover img {
  transition: opacity 0.3s ease-in;
  opacity: 1;
}

.material-symbols-outlined {
  vertical-align: middle;
}

.card.hidden {
  opacity: 0;
  display: none;
}

